import { r as registerInstance, h, g as getElement } from './core-f530a7ef.js';
var DatatableFooter = /** @class */ (function () {
    function class_1(hostRef) {
        registerInstance(this, hostRef);
    }
    class_1.prototype.componentWillLoad = function () {
        this.actions = Array.from(this.host.querySelectorAll('materials-datatable-action'));
    };
    class_1.prototype.render = function () {
        return (h("div", { class: "container" }, this.actions && this.actions.length > 0 ? this.actions.map(function (a) {
            return a.display && h("materials-button", { raised: true, color: a.color, icon: a.icon, onClick: function (e) { return a.press(e); } }, a.label);
        })
            :
                h("slot", null)));
    };
    Object.defineProperty(class_1.prototype, "host", {
        get: function () { return getElement(this); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(class_1, "style", {
        get: function () { return ".container{min-height:42px;background-color:var(--mdc-theme-datatable-header,#fff);color:var(--mdc-theme-on-datatable-header,#212121);font-family:Roboto,Arial,sans-serif;font-size:15px;padding-left:8px;padding-top:8px}"; },
        enumerable: true,
        configurable: true
    });
    return class_1;
}());
export { DatatableFooter as materials_datatable_footer };
